## IdeSymbolNode IdeSymbolNode |

## Functions

IdeSymbolKind | ide_symbol_node_get_kind ()
IdeSymbolFlags | ide_symbol_node_get_flags ()
const gchar * | ide_symbol_node_get_name ()
IdeSourceLocation * | ide_symbol_node_get_location ()

## Types and Values

#define | IDE_TYPE_SYMBOL_NODE
struct | IdeSymbolNodeClass
| IdeSymbolNode

## Description

## Functions

### ide_symbol_node_get_kind ()

    IdeSymbolKind
    ide_symbol_node_get_kind (IdeSymbolNode *self);

### ide_symbol_node_get_flags ()

    IdeSymbolFlags
    ide_symbol_node_get_flags (IdeSymbolNode *self);

### ide_symbol_node_get_name ()

    const gchar *
    ide_symbol_node_get_name (IdeSymbolNode *self);

### ide_symbol_node_get_location ()

    IdeSourceLocation *
    ide_symbol_node_get_location (IdeSymbolNode *self);

Gets the location for the symbol node.

#### Returns

An IdeSourceLocation or `NULL`.

[transfer full][nullable]

## Types and Values

### IDE_TYPE_SYMBOL_NODE

    #define IDE_TYPE_SYMBOL_NODE (ide_symbol_node_get_type())

### struct IdeSymbolNodeClass

    struct IdeSymbolNodeClass {
      IdeObjectClass parent;

      IdeSourceLocation *(*get_location) (IdeSymbolNode *self);
    };

### IdeSymbolNode

    typedef struct _IdeSymbolNode IdeSymbolNode;